Bug 1011439 - Review Request: nemo-extensions - Extensions for Nemo
Review Request: nemo-extensions - Extensions for Nemo
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 05:40 EDT by leigh scott
Modified: 2014-01-13 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 10:47:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Dan Mashal 2013-09-24 07:45:03 EDT
As it stands the package currently fails to build on f19 and rawhide:

https://koji.fedoraproject.org/koji/taskinfo?taskID=5975350
https://koji.fedoraproject.org/koji/taskinfo?taskID=5975358

Please address this.

Also please fix the spec file to use only $RPM_BUILD_ROOT or %{buildroot} as noted below.

Also incorrect fsf address here:

nemo-seahorse.x86_64: E: incorrect-fsf-address /usr/share/doc/nemo-seahorse/COPYING




Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)",
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 33
     files have unknown license. Detailed output of licensecheck in
     /home/dan/1011439-nemo-extensions/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/glib-2.0/schemas,
     /usr/share/glib-2.0
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in nemo-pastebin
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in nemo-seahorse
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 163840 bytes in 31 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nemo-
     seahorse , nemo-pastebin , nemo-fileroller , nemo-python , nemo-python-
     devel
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1116160 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nemo-seahorse-1.8.0-0.1.git3e366de.fc20.x86_64.rpm
          nemo-pastebin-1.8.0-0.1.git3e366de.fc20.x86_64.rpm
          nemo-fileroller-1.8.0-0.1.git3e366de.fc20.x86_64.rpm
          nemo-python-1.8.0-0.1.git3e366de.fc20.x86_64.rpm
          nemo-python-devel-1.8.0-0.1.git3e366de.fc20.x86_64.rpm
          nemo-extensions-1.8.0-0.1.git3e366de.fc20.src.rpm
nemo-seahorse.x86_64: E: incorrect-fsf-address /usr/share/doc/nemo-seahorse/COPYING
nemo-pastebin.x86_64: W: spelling-error %description -l en_US pastebins -> paste bins, paste-bins, pasterns
nemo-pastebin.x86_64: W: no-manual-page-for-binary nemo-pastebin-configurator.py
nemo-pastebin.x86_64: W: no-manual-page-for-binary nemo-pastebin.py
nemo-pastebin.x86_64: W: desktopfile-without-binary /usr/share/applications/nemo-pastebin-configurator.desktop nemo-pastebin-configurator
nemo-python-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nemo-python nemo-fileroller nemo-seahorse nemo-pytho 
n-devel nemo-pastebin
nemo-seahorse.x86_64: E: incorrect-fsf-address /usr/share/doc/nemo-seahorse/COPYING
nemo-python-devel.x86_64: W: no-documentation
nemo-pastebin.x86_64: W: spelling-error %description -l en_US pastebins -> paste bins, paste-bins, pasterns
nemo-pastebin.x86_64: W: no-manual-page-for-binary nemo-pastebin-configurator.py
nemo-pastebin.x86_64: W: no-manual-page-for-binary nemo-pastebin.py
nemo-pastebin.x86_64: W: desktopfile-without-binary /usr/share/applications/nemo-pastebin-configurator.desktop nemo-pastebin-configurator
5 packages and 0 specfiles checked; 1 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nemo-python (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnemo-extension.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    pygobject3-base
    rtld(GNU_HASH)

nemo-fileroller (rpmlib, GLIBC filtered):
    file-roller
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnemo-extension.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

nemo-seahorse (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcryptui.so.0()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgconf-2.so.4()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnome-keyring.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgpgme.so.11()(64bit)
    libgpgme.so.11(GPGME_1.0)(64bit)
    libgpgme.so.11(GPGME_1.1)(64bit)
    libgtk-3.so.0()(64bit)
    libnemo-extension.so.1()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    rtld(GNU_HASH)
    seahorse

nemo-python-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    nemo-python

nemo-pastebin (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    nemo-python
    pastebinit



Provides
--------
nemo-python:
    libnemo-python.so()(64bit)
    nemo-python
    nemo-python(x86-64)

nemo-fileroller:
    libnemo-fileroller.so()(64bit)
    nemo-fileroller
    nemo-fileroller(x86-64)

nemo-seahorse:
    libnemo-seahorse.so()(64bit)
    mimehandler(application/pgp-encrypted)
    mimehandler(application/pgp-keys)
    mimehandler(application/pgp-signature)
    nemo-seahorse
    nemo-seahorse(x86-64)

nemo-python-devel:
    nemo-python-devel
    nemo-python-devel(x86-64)
    pkgconfig(nemo-python)

nemo-pastebin:
    nemo-pastebin
    nemo-pastebin(x86-64)



Unversioned so-files
--------------------
nemo-seahorse: /usr/lib64/nemo/extensions-3.0/libnemo-seahorse.so
nemo-fileroller: /usr/lib64/nemo/extensions-3.0/libnemo-fileroller.so
nemo-python: /usr/lib64/nemo/extensions-3.0/libnemo-python.so

Source checksums
----------------
http://leigh123linux.fedorapeople.org/pub/nemo-extensions/source/nemo-extensions-1.8.0.git3e366de.tar.gz :
  CHECKSUM(SHA256) this package     : 0c00a55f9716a87576e3e9bfb8901527a4dd652c83d7c119a738b85ac3e3b80b
  CHECKSUM(SHA256) upstream package : 0c00a55f9716a87576e3e9bfb8901527a4dd652c83d7c119a738b85ac3e3b80b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1011439
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 leigh scott 2013-09-24 09:17:54 EDT
Fixed



Spec URL: http://leigh123linux.fedorapeople.org/pub/review/nemo-extensions/2/nemo-extensions.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/nemo-extensions/2/nemo-extensions-1.8.0-0.2.git3e366de.fc20.src.rpm


The F19 build fails due the f20 %doc changes

pushd nemo-python
rm missing
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh
%configure --docdir=%{_datadir}/doc/nemo-python
make V=1 %{?_smp_mflags}
popd


I can fix this when I import
Comment 3 leigh scott 2013-09-24 09:19:38 EDT
I build fine on F20

http://koji.fedoraproject.org/koji/taskinfo?taskID=5975677
Comment 4 leigh scott 2013-09-24 10:41:07 EDT
I have temporary add ExcludeArch:    armv7hl due to missing python-pexpect on arm

https://bugzilla.redhat.com/show_bug.cgi?id=999174
Comment 5 Dan Mashal 2013-09-24 10:42:35 EDT
(In reply to leigh scott from comment #4)
> I have temporary add ExcludeArch:    armv7hl due to missing python-pexpect
> on arm
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=999174

Good enough for me. Approved.
Comment 6 leigh scott 2013-09-24 10:45:50 EDT
New Package SCM Request
=======================
Package Name: nemo-extensions
Short Description: Extensions for Nemo
Owners: leigh123linux
Branches: f18 f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-09-24 10:59:41 EDT
Git done (by process-git-requests).
Comment 8 Wolfgang Ulbrich 2013-09-24 11:19:00 EDT
We have new python guide lines.
shebangs should be pointed to python2

grep -R -e '#!/usr/bin/python' linuxmint-nemo-extensions-3e366de/
linuxmint-nemo-extensions-3e366de/nemo-compare/src/nemo-compare-preferences.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-compare/src/nemo-compare.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-compare/src/utils.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/add-http-proxy-option.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/display-error-string-when-download-failed.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/do-not-hardcode-dropboxd-path.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/dropbox-update.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/non-interactive-update.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/unlink-before-extract.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/use-dpkg-to-select-platform.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/use-pkexec-to-get-root-rights.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/.pc/use-var-lib-dropbox.patch/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-dropbox/dropbox.in:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-media-columns/nemo-media-columns.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-pastebin/nemo-pastebin-configurator.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-pastebin/nemo-pastebin.py:#!/usr/bin/python
linuxmint-nemo-extensions-3e366de/nemo-pastebin/setup.py:#!/usr/bin/python

You can use in %prep for all *.py with hash-bangs for example

sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' nemo-compare/src/nemo-compare-preferences.py

This makes it easier when fedora switch to python3 in f21/22.
Comment 9 leigh scott 2014-01-02 11:53:56 EST
Package Change Request
======================
Package Name: nemo-extensions
New Branches: epel7
Owners: leigh123linux
Comment 10 Gwyn Ciesla 2014-01-02 12:05:13 EST
No epel7 branches yet.
Comment 11 leigh scott 2014-01-12 08:20:11 EST
Package Change Request
======================
Package Name: nemo-extensions
New Branches: epel7
Owners: leigh123linux
Comment 12 Gwyn Ciesla 2014-01-13 08:32:53 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.